%global tarball_name psautohint

Name:           python-psautohint
Version:        2.3.1
Release:        1%{?dist}
Summary:        Python wrapper for Adobe's PostScript autohinter

License:        ASL 2.0
URL:            https://github.com/adobe-type-tools/psautohint
Source0:        https://github.com/adobe-type-tools/%{tarball_name}/releases/download/v%{version}/%{tarball_name}-%{version}.zip
# Specify >= rather than == for versions.
Patch0:         python-psautohint-2.3.1-relax-requirements.patch

BuildRequires:  gcc
BuildRequires:  python3-devel

%global _description A standalone version of AFDKO’s autohinter.

%description
%_description

%package -n python3-psautohint
Summary:        %{summary}

%description -n python3-psautohint
%_description


%prep
%autosetup -p1 -n %{tarball_name}-%{version}
%generate_buildrequires
%pyproject_buildrequires - -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files psautohint


%check
# Test suite needs dependencies not in Fedora.
%pyproject_check_import


%files -n python3-psautohint -f %{pyproject_files}
%license COPYING LICENSE
%doc NEWS.md README.md
%{_bindir}/psautohint
%{_bindir}/psstemhist


%changelog
* Fri Jan 14 2022 David King <amigadave@amigadave.com> - 2.3.1-1
- Initial import
